org.jfree.util

## Class SortOrder

- java.lang.Object
- - org.jfree.util.SortOrder

- All Implemented Interfaces:
    java.io.Serializable

      public final class SortOrder
      extends java.lang.Object
      implements java.io.Serializable

  Defines tokens used to indicate sorting order (ascending or descending).
  Author:
    David Gilbert
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SortOrder` | `ASCENDING` Ascending order.
    `static SortOrder` | `DESCENDING` Descending order.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
    `int` | `hashCode()` Returns a hash code value for the object.
    `java.lang.String` | `toString()` Returns a string representing the object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ASCENDING

          public static final SortOrder ASCENDING

      Ascending order.

    - #### DESCENDING

          public static final SortOrder DESCENDING

      Descending order.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns a string representing the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        The string.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Returns `true` if this object is equal to the specified object, and `false` otherwise.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the other object.
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Returns a hash code value for the object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        The hashcode